const redisClient = require("../client");

const FlushService = async (req, res) => {
  try {
    await redisClient.flushallAsync("ASYNC");

    return res.send({
      error: false,
      message: "DONE!",
    });
  } catch(e) {
    console.error(e);
    
    return res.status(500).send({
      error: true,
      message: "[/flush] error!",
    });    
  }  
};

module.exports = FlushService;
