const redisClient = require("../client");

const DeleteService = async (req, res) => {
  try {
    const { key } = req.params;
    await redisClient.delAsync(key);

    console.log(`DELETED KEY [${key}]`);

    return res.send({
      error: false,
      message: "SUCCESS!",
    });
  } catch(e) {
    console.error(e);
    
    return res.status(500).send({
      error: true,
      message: "[/delete] error!",
    });    
  }   
};

module.exports = DeleteService;
