const redisClient = require("../client");
const _ = require("lodash");

const GetService = async (req, res) => {
  try {
    const { key } = req.params;
    const rawData = await redisClient.getAsync(key);
    // console.log("RAW -", rawData);
    console.log(
      `DATA REQUEST [${key}] [${_.get(
        JSON.parse(rawData),
        "name",
        "n/a"
      )}]`
    );

    return res.json(JSON.parse(rawData));
  } catch(e) {
    console.error(e);

    return res.status(500).send({
      error: true,
      message: "[/get] error!",
    });    
  }   
};

module.exports = GetService;
