const moment = require('moment');

const RootService = async (req, res) => {
  try {
    return res.send({
      error: false,
      message: "WELCOME!",
      environment: process.env.APP_ENV,
      timestamp: moment().format(),
    });
  } catch(e) {
    console.error(e);

    return res.status(500).send({
      error: true,
      message: "[/] error!",
    });    
  }    
};

module.exports = RootService;
